const getters = {
  sidebar: state => state.app.sidebar,
  device: state => state.app.device,
  token: state => state.user.token,
  name: state => state.user.name,
  userTypeShortName: state => state.user.userTypeShortName,
  permissions: state => state.user.permissions,
  tree: state => state.user.tree,
  userName: state => state.user.userName,
  userId: state => state.user.userId,
  identityUserId: state => state.user.identityUserId,
  routes: state => state.permission.routes,
  asyncRoutes: state => state.permission.addRoutes,
  visitedViews: state => state.tagsView.visitedViews,
  cachedViews: state => state.tagsView.cachedViews,
  dictionaryList: state => state.global.dictionaryList,
  hospitalList: state => state.global.hospitalList,
  sponsorList: state => state.global.sponsorList,
  croList: state => state.global.croList,
  siteList: state => state.global.siteList,
  noticeList: state => state.global.noticeList,
  reviewersQuery: state => state.reviewer.reviewersQuery,
  isEnglish: state => state.reviewer.isEnglish,
  trialDetailActiveName: state => state.trials.trialDetailActiveName,
  trialQuery: state => state.trials.trialQuery,
  subjectQuery: state => state.trials.subjectQuery,
  visitPlanQuery: state => state.trials.visitPlanQuery,
  visitPointQuery: state => state.trials.visitPointQuery,
  studyListQuery: state => state.trials.studyListQuery,
  reviewerList: state => state.financials.reviewerList,
  rankList: state => state.financials.rankList,
  financialsActiveName: state => state.financials.financialsActiveName,
  paymentQuery: state => state.financials.paymentQuery,
  paymentHistoryQuery: state => state.financials.paymentHistoryQuery,
  revenusQuery: state => state.financials.revenusQuery,
  visitTaskList: state => state.reading.visitTaskList,
  organList: state => state.reading.organList,
  seriesStack: state => state.reading.seriesStack,
  activeHangingAgreement: state => state.reading.activeHangingAgreement,
  currentTaskId: state => state.reading.currentTaskId,
  currentReadingTaskState: state => state.reading.currentReadingTaskState,
  activeSeries: state => state.reading.activeSeries,
  lastCanvasTaskId: state => state.reading.lastCanvasTaskId,
  imageQuality: state => state.reading.imageQuality,
  imageQualityIssues: state => state.reading.imageQualityIssues,
  currentLoadIns: state => state.reading.currentLoadIns,
  language: state => state.lang.language,
  TotalNeedSignSystemDocCount: state => state.user.TotalNeedSignSystemDocCount,
  TotalNeedSignTrialDocCount: state => state.user.TotalNeedSignTrialDocCount,
  IsFirstSysDocNeedSign: state => state.user.IsFirstSysDocNeedSign,
  TrialStatusStr: state => state.user.TrialStatusStr,
  lastViewportTaskId: state => state.noneDicomReview.lastViewportTaskId,
  currentTaskState: state => state.noneDicomReview.currentTaskState,
  operateInfo: state => state.dicom3d.operateInfo,
  deleteAnnotationIds: state => state.dicom3d.deleteAnnotationIds
}
export default getters
